Loading...
Searching...
No Matches
oldGaussElem Class Reference

## Public Member Functions

| oldGaussElem (const fglmVector newv, const fglmVector newp, number &newpdenom, number &newfac)
| ~oldGaussElem ()

## Data Fields

fglmVector | v
fglmVector | p
number | pdenom
number | fac

## Detailed Description

Definition at line 721 of file fglmzero.cc.

## Constructor & Destructor Documentation

## oldGaussElem()

oldGaussElem::oldGaussElem | ( | const fglmVector | newv,
|  | const fglmVector | newp,
|  | number & | newpdenom,
|  | number & | newfac )

inline

Definition at line 732 of file fglmzero.cc.

: v( newv ), p( newp ), pdenom( newpdenom ), fac( newfac )
{
newpdenom= NULL;
newfac= NULL;
}
oldGaussElem::v
fglmVector v
Definition fglmzero.cc:724
oldGaussElem::fac
number fac
Definition fglmzero.cc:727
oldGaussElem::pdenom
number pdenom
Definition fglmzero.cc:726
oldGaussElem::p
fglmVector p
Definition fglmzero.cc:725
NULL
#define NULL
Definition omList.c:12

## ~oldGaussElem()

oldGaussElem::~oldGaussElem | ( |  | ) |

Definition at line 751 of file fglmzero.cc.

{
if (fac!=NULL) nDelete( & fac );
if (pdenom!=NULL) nDelete( & pdenom );
}
nDelete
#define nDelete(n)
Definition numbers.h:16

## Field Documentation

## fac

number oldGaussElem::fac

Definition at line 727 of file fglmzero.cc.

## p

fglmVector oldGaussElem::p

Definition at line 725 of file fglmzero.cc.

## pdenom

number oldGaussElem::pdenom

Definition at line 726 of file fglmzero.cc.

## v

fglmVector oldGaussElem::v

Definition at line 724 of file fglmzero.cc.

The documentation for this class was generated from the following file:

- kernel/fglm/fglmzero.cc